import { type Lock, type LockRenewalService } from '../../../../src/core/lock/lock.js';
import { Duration } from '../../../../src/core/time/duration.js';
export declare class NoopLeaseRenewalService implements LockRenewalService {
    private readonly buffer;
    private readonly counter;
    constructor();
    isScheduled(_scheduleId: number): Promise<boolean>;
    schedule(_lease: Lock): Promise<number>;
    cancel(_scheduleId: number): Promise<boolean>;
    cancelAll(): Promise<Map<number, boolean>>;
    calculateRenewalDelay(_lease: Lock): Duration;
}
